# Regenerate idea image

```http
POST https://api.synup.com/api/v4/social-post-ideas/regenerate-idea-image
```

Regenerates the image of an existing social post idea, keeping its text content. Optionally provide a `referenceImageUrl` to ground the new image. Image generation is asynchronous — poll the idea job status for the new image URL.

Source: https://developer.synup.com/api/social-post-ideas/regenerate-idea-image

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `ideaId` | string | required |  |
| `referenceImageUrl` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/regenerate-idea-image' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ideaId": "91b2..."
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
